> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order

> Get a single open position.



## OpenAPI

````yaml /openapi.json get /orders/{ticket}
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /orders/{ticket}:
    get:
      tags:
        - Orders
      summary: Get Order
      description: Get a single open position.
      operationId: get_order_orders__ticket__get
      parameters:
        - name: ticket
          in: path
          required: true
          schema:
            type: integer
            title: Ticket
        - name: login
          in: query
          required: true
          schema:
            type: integer
            title: Login
            description: Trading account login
          description: Trading account login
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenOrderResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenOrderResponse:
      properties:
        order:
          type: integer
          title: Order
        login:
          type: integer
          title: Login
        symbol:
          type: string
          title: Symbol
        cmd:
          type: integer
          title: Cmd
        type:
          type: string
          title: Type
        volume:
          type: number
          title: Volume
        open_price:
          type: number
          title: Open Price
        open_time:
          type: string
          format: date-time
          title: Open Time
        sl:
          anyOf:
            - type: number
            - type: 'null'
          title: Sl
        tp:
          anyOf:
            - type: number
            - type: 'null'
          title: Tp
        trailing_stop:
          anyOf:
            - type: number
            - type: 'null'
          title: Trailing Stop
        commission:
          type: number
          title: Commission
        storage:
          type: number
          title: Storage
        profit:
          type: number
          title: Profit
        volume_closed:
          type: number
          title: Volume Closed
          default: 0
        exposure:
          type: number
          title: Exposure
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        open_fx_rate:
          type: number
          title: Open Fx Rate
          default: 1
        open_margin_rate:
          type: number
          title: Open Margin Rate
          default: 0.01
        open_spread:
          type: number
          title: Open Spread
          default: 0
        open_spread_bid:
          type: number
          title: Open Spread Bid
          default: 0
        open_spread_ask:
          type: number
          title: Open Spread Ask
          default: 0
        contract_size:
          anyOf:
            - type: number
            - type: 'null'
          title: Contract Size
          default: 100000
        account_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Currency
        margin_required:
          type: number
          title: Margin Required
          readOnly: true
      type: object
      required:
        - order
        - login
        - symbol
        - cmd
        - type
        - volume
        - open_price
        - open_time
        - sl
        - tp
        - commission
        - storage
        - profit
        - exposure
        - comment
        - margin_required
      title: OpenOrderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````